{ ... }:
{
  programs.nixvim = {
    plugins.treesitter = {
      enable = true;

      settings = {
        auto_install = true;
        folding = true;
        highlight = {
          enable = true;
          ## Can slow down the editor
          # additional_vim_regex_highlighting = true;
          custom_captures = { };
          disable = [
            # "rust"
          ];
        };
        ignore_install = [
          # "rust"
        ];
        incremental_selection = {
          enable = true;
          keymaps = {
            init_selection = false;
            node_decremental = "grm";
            node_incremental = "grn";
            scope_incremental = "grc";
          };
        };
        indent = {
          enable = true;
        };
      };
    };
  };
}
